[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TColumn.Assign

Stores properties from a persistent class in the current class instance.

## Declaration

Source position: dbgrids.pas line 285

`public procedure TColumn.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent class with values stored in the method.

## Description

Assign is an overridden procedure which stores properties from Source in the current class instance. Assign calls the inherited Assign method. When Source is a TColumn class instance, the values for the following are stored in the current class instance:

- FieldName
- DisplayFormat
- ValueChecked
- ValueUnchecked

## See also

TPersistent.Assign